# Инструкция по запуску проекта

Для запуска проекта понадобятся следующие компоненты:

1. JDK >= 17 (Настроено значение переменной окружения JAVA_HOME)
2. JRE >= 17 (Настроено значение переменной окружения JRE_HOME или путь к java.exe указан в PATH)
3. База данных PostgreSQL. В файле application.properties должны быть указаны данные для подключения. По умолчанию используются следующие значения: база данных - postgres, хост - localhost, порт - 5432, пользователь - postgres, пароль - postgres.

## Инструкция по запуску

1. Откройте терминал и перейдите в корневую папку проекта.
2. Выполните команду `gradlew build` для сборки проекта с помощью Gradle.
3. Перейдите в папку build/libs/ командой `cd build/libs/`.
4. Запустите приложение с помощью команды `java -jar simbirshare-0.0.1.jar`.
5. После успешного запуска приложения откройте веб-браузер и перейдите по адресу `http://localhost:8080/swagger-ui/index.html`, чтобы открыть Swagger UI, где вы сможете ознакомиться с документацией и опробовать API.

## Данные админ пользователя
По умолчанию в базе данных создается админ. Получить к нему доступ можно используя:
`{
"email": "admin@simbirsoft.ru",
"password": "admin"
}`

[Swagger UI](http://localhost:8080/swagger-ui/index.html)

# Отклонения от ТЗ

Добавлен `/api/v1/Account/Logout`