package ru.javakira.simbirshare.account;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class AccountDto {
    private long id;
    private String email;
    private AccountState state;
    private AccountRole role;

    public static AccountDto from(Account account) {
        return AccountDto
                .builder()
                .id(account.getId())
                .email(account.getEmail())
                .state(account.getState())
                .role(account.getRole())
                .build();
    }
}
