package ru.javakira.simbirshare.config;

import lombok.RequiredArgsConstructor;
import org.springframework.context.event.ContextRefreshedEvent;
import org.springframework.context.event.EventListener;
import org.springframework.stereotype.Component;
import ru.javakira.simbirshare.account.admin.AccountCreateRequest;
import ru.javakira.simbirshare.account.admin.AdminAccountService;

@Component
@RequiredArgsConstructor
public class DBInitializer {
    private final AdminAccountService adminAccountService;

    private boolean isInitialized = false;

    @EventListener(ContextRefreshedEvent.class)
    void init() {
        if (isInitialized)
            return;

        adminAccountService.create(new AccountCreateRequest("admin@simbirsoft.ru", "admin", true, 488281250));

        isInitialized = true;
    }
}
