package ru.javakira.simbirshare.directory;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Optional;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class DirectoryDto {
    private long id, ownerId;
    private Long parentId;
    private boolean isRoot;
    private String name;

    public static DirectoryDto from(Directory directory) {
        return DirectoryDto
                .builder()
                .name(directory.getName())
                .parentId(directory.getParentId().orElse(null))
                .isRoot(directory.getParentId().isEmpty())
                .id(directory.getId())
                .ownerId(directory.getOwnerId())
                .build();
    }
}
