package ru.javakira.simbirshare.file;

import jakarta.persistence.*;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Optional;

@Data
@Entity
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class File {
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE)
    private long id;
    /*in kilobytes*/
    private long size;
    @Column(nullable = false)
    private String name;
    private String password;
    @Column(nullable = false)
    private long directoryId;
    @Column(nullable = false)
    private boolean shared;

    public Optional<String> getPassword() {
        return Optional.ofNullable(password);
    }
}
