package ru.javakira.simbirshare.file;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;

@Data
@Builder
@AllArgsConstructor
public class FileDto {
    private long id;
    private String name, password;
    private boolean shared;
    private long directoryId;

    public static FileDto from(File file) {
        return FileDto
                .builder()
                .id(file.getId())
                .name(file.getName())
                .shared(file.isShared())
                .password(file.getPassword().orElse(null))
                .directoryId(file.getDirectoryId())
                .build();
    }
}
