package ru.javakira.simbirshare.storage.admin;

import io.swagger.v3.oas.annotations.security.SecurityRequirement;
import lombok.RequiredArgsConstructor;
import org.springframework.security.access.annotation.Secured;
import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import org.springframework.core.io.Resource;
import ru.javakira.simbirshare.storage.StorageInfo;
import ru.javakira.simbirshare.storage.StorageService;

@Secured("ROLE_ADMIN")
@RestController
@RequestMapping("/api/v1/Admin/Storage")
@RequiredArgsConstructor
@SecurityRequirement(name = "Bearer Authentication")
class AdminStorageController {
    private final StorageService service;

    @GetMapping("/Info/{userId}")
    StorageInfo getInfo(@PathVariable long userId) {
        return service.info(userId);
    }

    @GetMapping("/Download/{id}")
    @ResponseBody Resource download(@PathVariable long id) {
        return service.download(id);
    }

    @PutMapping("/Upload/{id}")
    void upload(@PathVariable long id, MultipartFile file) {
        service.upload(id, file);
    }
}
